Bug 117496 - Inconsistent naming of MSO filters
Summary: Inconsistent naming of MSO filters
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Adolfo Jayme
URL:
Whiteboard: target:6.1.0 target:6.2.0
Keywords:
Depends on:
Blocks: MSO-Formats
  Show dependency treegraph
 
Reported: 2018-05-08 09:27 UTC by Tomaz Vajngerl
Modified: 2018-06-20 11:22 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomaz Vajngerl 2018-05-08 09:27:12 UTC
Description:
ppt is called "Microsoft PowerPoint 97-2003" and pptx "PowerPoint 2007-2019"

Possible others components are affected too...

Steps to Reproduce:
x

Actual Results:  
x

Expected Results:
x


Reproducible: Always


User Profile Reset: Yes


OpenGL enabled: Yes

Additional Info:
x


User-Agent: Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:59.0) Gecko/20100101 Firefox/59.0
Comment 1 Heiko Tietze 2018-05-08 09:29:45 UTC
Let's go without Microsoft.
Comment 2 V Stuart Foote 2018-05-08 12:35:52 UTC
There was some note of needing to do this when Adolfo finished up bug 108894, lets drop the nod to Microsoft in the filter names.
Comment 3 Adolfo Jayme 2018-05-08 16:32:43 UTC
https://gerrit.libreoffice.org/53994

I’ll also take care of LO Online.
Comment 4 Commit Notification 2018-05-12 23:54:50 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8162520f251f3382b84d97319ca7facf0bb9c670

tdf#117496 Drop “Microsoft”/“MS” in more filters that I forgot about

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Thomas Lendo 2018-05-15 22:05:29 UTC
'Microsoft Word 2003 XML (.xml)'
'Microsoft Excel 2007-2016 XML (macro enabled) (.xlsm)'
still available.
Comment 6 Tomaz Vajngerl 2018-05-15 23:39:34 UTC
We just can't get rid of "Microsoft" :)
Comment 7 Adolfo Jayme 2018-06-02 05:46:15 UTC
I’ve fixed the strings mentioned by Thomas. The patch for Online is awaiting review.
Comment 8 Commit Notification 2018-06-19 07:41:11 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/online/commit/?id=f17a2d5f50f86364bdc2110032ef0aed1c508710

tdf#117496 Drop the word “Microsoft” per design team decision
Comment 9 Adolfo Jayme 2018-06-20 11:22:46 UTC
Will close this for now, to avoid these annoying “is this fixed?” robo-messages. Let me know if there are more strings I’ve forgotten about.